Summary: Supports reading and manipulating the UEFI signatures database
Name: efitools
Version: git
Release: r12.0
License: GPLv2
Group: console/utils
Packager: Wind River <info@windriver.com>
BuildRequires: virtual/libc
BuildRequires: openssl
BuildRequires: gnu-efi
BuildRequires: openssl-native
BuildRequires: virtual/x86_64-wrs-linux-gcc
BuildRequires: virtual/x86_64-wrs-linux-compilerlibs
Requires: rtld(GNU_HASH)
Requires: libc.so.6(GLIBC_2.14)(64bit)
Requires: libcrypto.so.1.0.0()(64bit)
Requires: /bin/bash
Requires: libc.so.6()(64bit)
Requires: libc6 >= 2.20+sdkwrl7+27
Requires: libc.so.6(GLIBC_2.2.5)(64bit)
Requires: openssl
Requires: libcrypto1.0.0 >= 1.0.1j
Requires: /bin/sh
Requires: libcrypto.so.1.0.0(OPENSSL_1.0.0)(64bit)
Requires: libc.so.6(GLIBC_2.7)(64bit)
Provides: elf(buildid) = f76885e58b955dbf98babb5cd84a3bb3b9ab81e8
Provides: elf(buildid) = fe6a6687079714b5d0a274e65cf5725f121c3ff9
Provides: elf(buildid) = 457bf6c28b4c307f64adaa579e36a889c31c8b1a
Provides: elf(buildid) = d241dcea01565a44169333ff6c49cdd95cf66043
Provides: elf(buildid) = 8e1178507bb54f425bf6255dbed03eff6a654099
Provides: elf(buildid) = a06c58e967954c3fbecab14ff4d81ef833a0a3ae
Provides: elf(buildid) = d52c8a0829f0bebccbd36a98902a2683194d820d
Provides: elf(buildid) = ccba0118aed459f784a683b2a8a1d350c7564482

%description
From the EFI Tools package in the Linux user-space, it's now possible
to read and manipulate the UEFI signatures database via the new     efi-
readvar and efi-updatevar commands. Aside from needing efitools     1.4,
the EFIVARFS file-system is also needed, which was only introduced     in
the Linux 3.8 kernel.

%package -n efitools-dbg
Summary: Supports reading and manipulating the UEFI signatures database - Debugging files
Group: devel
Suggests: libc6-dbg
Suggests: libcrypto-dbg
Recommends: efitools = git-r12.0

%description -n efitools-dbg
From the EFI Tools package in the Linux user-space, it's now possible
to read and manipulate the UEFI signatures database via the new     efi-
readvar and efi-updatevar commands. Aside from needing efitools     1.4,
the EFIVARFS file-system is also needed, which was only introduced     in
the Linux 3.8 kernel.   This package contains ELF symbols and related
sources for debugging purposes.

%package -n efitools-dev
Summary: Supports reading and manipulating the UEFI signatures database - Development files
Group: devel
Requires: efitools = git-r12.0
Suggests: libc6-dev
Suggests: openssl-dev
Suggests: gnu-efi-dev
Suggests: libcrypto-dev

%description -n efitools-dev
From the EFI Tools package in the Linux user-space, it's now possible
to read and manipulate the UEFI signatures database via the new     efi-
readvar and efi-updatevar commands. Aside from needing efitools     1.4,
the EFIVARFS file-system is also needed, which was only introduced     in
the Linux 3.8 kernel.   This package contains symbolic links, header files,
and related items necessary for software development.

%package -n efitools-staticdev
Summary: Supports reading and manipulating the UEFI signatures database - Development files (Static Libraries)
Group: devel
Requires: efitools-dev = git-r12.0

%description -n efitools-staticdev
From the EFI Tools package in the Linux user-space, it's now possible
to read and manipulate the UEFI signatures database via the new     efi-
readvar and efi-updatevar commands. Aside from needing efitools     1.4,
the EFIVARFS file-system is also needed, which was only introduced     in
the Linux 3.8 kernel.   This package contains static libraries for software
development.

%files
%defattr(-,-,-,-)
%dir "/usr"
%dir "/etc"
%dir "/usr/bin"
"/usr/bin/sb-sig-verify.sh"
"/usr/bin/cert-to-efi-hash-list"
"/usr/bin/efitool-mkusb"
"/usr/bin/sig-list-to-certs"
"/usr/bin/sign-efi-sig-list"
"/usr/bin/OsIndicate.sh"
"/usr/bin/efi-readvar"
"/usr/bin/flash-var"
"/usr/bin/cert-to-efi-sig-list"
"/usr/bin/efi-updatevar"
"/usr/bin/sb-status.sh"
"/usr/bin/hash-to-efi-sig-list"
%dir "/etc/init.d"
%dir "/etc/rc3.d"
"/etc/init.d/keytool"
"/etc/rc3.d/S99keytool"

%files -n efitools-dbg
%defattr(-,-,-,-)

%files -n efitools-dev
%defattr(-,-,-,-)

