/*
 * $Id:$
 *
 * Copyright (c) 2015, Juniper Networks, Inc.
 * All rights reserved.
 *
 */

#ifndef __REVOCATIONS_H__
#define __REVOCATIONS_H__

/*
 * Keys can be of diferent type:
 *  + Bring up -- always revoked
 *  + Developement -- volunatrily revoked
 */
typedef enum {
	EFI_KEY_BRINGUP,
	EFI_KEY_DEVELOPMENT,
} efi_key_type_e;


/*
 * Different platforms may have different keys.
 */
typedef enum {
	EFI_PLATFORM_TEST,
	EFI_PLATFORM_GRANTLEYV1,
	EFI_PLATFORM_MORPHEUSV1,
	EFI_PLATFORM_NGSRXV1,
	EFI_PLATFORM_PORTERV1,
} efi_platform_e;

int are_any_jnpr_dev_keys_revoked(void);
int juniper_assert_revocation(void);
int juniper_revoke_dev_keys(void);
void inc_revocation_verbosity(int);
void set_revocation_verbosity(int);

extern efi_platform_e platform;

#endif /* __REVOCATIONS_H__ */
